Index: other-projects/is-sheet-music-encore/trunk/-COMPX520-README.txt
===================================================================
--- other-projects/is-sheet-music-encore/trunk/-COMPX520-README.txt	(revision 33014)
+++ other-projects/is-sheet-music-encore/trunk/-COMPX520-README.txt	(revision 33017)
@@ -6,4 +6,7 @@
   See makefile for commands and details
 
+METADATA-FORMATER
+"./metadata-formater"
+Be sure to run this before processing the hathifiles
 
 
Index: other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-META.sh
===================================================================
--- other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-META.sh	(revision 33017)
+++ other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-META.sh	(revision 33017)
@@ -0,0 +1,9 @@
+#!/bin/bash
+file_name=$1
+
+for id in `cat $file_name` ; do
+    echo "DOWNLOADING META OF: $id"
+    echo ""
+    ./COMPX520-RUN-META.sh $id
+  sleep 2  
+done
Index: other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-PNG.sh
===================================================================
--- other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-PNG.sh	(revision 33017)
+++ other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-PNG.sh	(revision 33017)
@@ -0,0 +1,11 @@
+#!/bin/bash
+file_name=$1
+page_num=$2
+
+for id in `cat $file_name` ; do
+   
+    echo "id: $id  page_num: $page_num"
+    echo ""
+    ./COMPX520-RUN-PNG.sh $id $page_num
+  sleep 2  
+done
Index: other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-ZIP.sh
===================================================================
--- other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-ZIP.sh	(revision 33017)
+++ other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-ZIP.sh	(revision 33017)
@@ -0,0 +1,9 @@
+#!/bin/bash
+file_name=$1
+
+for id in `cat $file_name` ; do
+    echo "DOWNLOADING ZIP OF: $id"
+    echo ""
+    ./COMPX520-RUN-ZIP.sh $id
+  sleep 2  
+done
Index: other-projects/is-sheet-music-encore/trunk/COMPX520-RUN-META.sh
===================================================================
--- other-projects/is-sheet-music-encore/trunk/COMPX520-RUN-META.sh	(revision 33014)
+++ other-projects/is-sheet-music-encore/trunk/COMPX520-RUN-META.sh	(revision 33017)
@@ -8,5 +8,5 @@
 doc_id=$1
 
-output_file="download-meta/$doc_id-META.txt"
+output_file="java-gen-corpus/download-meta/$doc_id-META.txt"
 echo "Retrieving doc-id-page: $doc_id -> $output_file"
 echo ""
Index: other-projects/is-sheet-music-encore/trunk/java-gen-corpus/Makefile
===================================================================
--- other-projects/is-sheet-music-encore/trunk/java-gen-corpus/Makefile	(revision 33014)
+++ other-projects/is-sheet-music-encore/trunk/java-gen-corpus/Makefile	(revision 33017)
@@ -6,4 +6,5 @@
 filter-full-500:
 	java TabProcTextGen hathiFull.txt hathiFullIDList-MU.txt MU
+	./metadata-formater.sh
 	java TabRndListGen hathiFullIDList-MU.txt 500 hathiFullRnd500List-MU.txt
 
Index: other-projects/is-sheet-music-encore/trunk/java-gen-corpus/TabProcMetaListGen.java
===================================================================
--- other-projects/is-sheet-music-encore/trunk/java-gen-corpus/TabProcMetaListGen.java	(revision 33017)
+++ other-projects/is-sheet-music-encore/trunk/java-gen-corpus/TabProcMetaListGen.java	(revision 33017)
@@ -0,0 +1,57 @@
+//NAME:Caleb Bird
+//ID: 1289680
+//??References??
+//https://stackoverflow.com/questions/13796451/how-to-extract-a-string-between-two-delimiters
+
+import java.io.BufferedReader;
+import java.io.FileReader;
+import java.io.FileWriter;
+
+public class TabProcMetaListGen {
+    public static void main(String[] args) {
+		try{
+				
+				
+			if (args.length != 1) {
+				System.out.println("Usage: TabProcMetaListGen <inputFilename> <outputFilename>");
+			}
+			else {
+				String inputFilename = args[0];
+				//String outputFilename = args[1];
+				    
+				System.out.println("Processing: " + inputFilename);
+				
+				FileReader fileReader = new FileReader(inputFilename);
+				BufferedReader buf = new BufferedReader(fileReader);
+				//FileWriter fw = new FileWriter(outputFilename);
+				String line = null;
+				String[] item;
+
+				//Splits into each record
+				while ((line = buf.readLine()) != null) {
+					
+					//Splits by tab, leaves "" for every blank entry
+					//Check items to be equal
+					//System.out.println(line);
+					if(line.contains("<htd:numpages>")){
+						String result = line.substring(line.indexOf(">")+1, line.indexOf(">")+2);
+						System.out.println(result);						
+					}
+					if(line.contains("<id>")){
+						String result = line.substring(line.indexOf(">")+1, line.indexOf("</"));
+						System.out.println(result);
+					}
+							
+				}		
+				buf.close();
+				//fw.close();
+			}
+		}catch(Exception e){
+			e.printStackTrace();
+		}
+    }
+}
+
+//REFERNECES
+//https://www.javatpoint.com/java-filewriter-class
+//https://docs.oracle.com/javase/8/docs/api/index.html?java/io/FileWriter.html
Index: other-projects/is-sheet-music-encore/trunk/java-gen-corpus/metadata-formater.sh
===================================================================
--- other-projects/is-sheet-music-encore/trunk/java-gen-corpus/metadata-formater.sh	(revision 33017)
+++ other-projects/is-sheet-music-encore/trunk/java-gen-corpus/metadata-formater.sh	(revision 33017)
@@ -0,0 +1,13 @@
+#!/bin/bash
+#Formats every textfile in download-meta folder
+for file in download-meta/*txt;
+do
+	echo "Formating $file"
+	xmllint --format $file > $file.tmp && mv $file.tmp $file
+done
+
+#References: https://unix.stackexchange.com/questions/50198/reformatting-a-large-number-of-xml-files
+
+
+
+