Index: /main/trunk/model-sites-dev/heritage-nz/collect/reports-2019/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/heritage-nz/collect/reports-2019/etc/collectionConfig.xml	(revision 33018)
+++ /main/trunk/model-sites-dev/heritage-nz/collect/reports-2019/etc/collectionConfig.xml	(revision 33019)
@@ -7,8 +7,12 @@
 	</metadataList>
 	<displayItemList>
+<!--
+		  (&lt;gsf:metaname name="numdocs"/&gt; to be precise, and growing)
+-->
+
 		<displayItem assigned="true" lang="en" name="name">PDF Reports</displayItem>
 		<displayItem assigned="true" lang="en" name="description">
 		  &lt;h1&gt;(Unofficial) Archaeological Reports Digital Library&lt;/h1&gt;
-		  &lt;b&gt;(Experimental Demo using Greenstone 3)&lt;/b&gt;
+		  &lt;b&gt;(Experimental demonstration using Greenstone3)&lt;/b&gt;
 
 		  &lt;p&gt;
@@ -16,5 +20,5 @@
 		  of unpublished archaeological reports resulting from
 		  site surveys, excavations, research programmes and
-		  archaeological authorities.  There are over 7000
+		  archaeological authorities.  There are over 7000 
 		  volumes dating from the early 1970s to the present
 		  in the collection.
@@ -89,4 +93,10 @@
 		  <displayItem lang="en" name="name">Territorial Authorities</displayItem>
 		</facet>
+		<facet name="AuthorityNo">
+		  <displayItem lang="en" name="name">Authority Number</displayItem>
+		</facet>
+		<facet name="SiteNo">
+		  <displayItem lang="en" name="name">Site Number</displayItem>
+		</facet>
 
 		<searchType name="plain"/>
@@ -144,5 +154,5 @@
 	</search>
 
-	<infodb type="jdbm"/>
+	<infodb type="gdbm"/>
 
 	<import>
@@ -152,8 +162,10 @@
 			<plugin name="MetadataCSVPlugin">
 			  <option name="-process_exp" value="\/?PDF-BOUND.*\.csv$"/>
+			  <option name="-metadata_value_separator" value="\s*\|\s*"/>
 			</plugin>
 			<plugin name="CSVPlugin">
 			  <option name="-process_exp" value="\/?UNBOUND.*\.csv$"/>
 			  <option name="-block_exp" value=".*\.xls$"/>
+			  <option name="-metadata_value_separator" value="\s*\|\s*"/>
 			</plugin>
 			<plugin name="TextPlugin"/>
@@ -185,10 +197,39 @@
 			<option name="-partition_type_within_level" value="approximate_size"/>
 		</classifier>
+
+
+
+  -mingroup <int>          The smallest value that will cause a group in the
+                           hierarchy to form.
+                           Default: 1
+
+  -minnesting <int>        The smallest value that will cause a list to be
+                           converted into a nested list.
+                           Default: 20
+
+  -mincompact <int>        Minimum number of documents to be displayed per page.
+                           Default: 10
+
+  -maxcompact <int>        Maximum number of documents to be displayed per page.
+                           Default: 30
+
 -->
 		<classifier name="AZList">
 			<option name="-metadata" value="dc.Title,Title"/>
+<!--
 			<option name="-removeprefix" value="\&quot;|\'|\(|(\d+\s*)"/>
+-->
+			<option name="-removeprefix" value="\&quot;|\'|\(|(\d+\s*)|(\d+\w*\s+and\s+\d+\w*)"/>
 			<option name="-removesuffix" value="\):.*$"/>
 		</classifier>
+<!--
+		<classifier name="AZCompactList">
+			<option name="-metadata" value="dc.Title,Title"/>
+			<option name="-removeprefix" value="\&quot;|\'|\(|(\d+\s*)|(\d+\s+and\d+)"/>
+			<option name="-removesuffix" value="\s*:.*$"/>
+			<option name="-mingroup" value="2"/>
+			<option name="-maxcompact" value="100"/>
+		</classifier>
+-->
 		<classifier name="AZCompactList">
 			<option name="-metadata" value="Author"/>
@@ -201,4 +242,15 @@
 		  <option name="-metadata" value="TLA"/>
 		  <option name="-buttonname" value="Territorial Authorities"/>
+		  <option name="-maxcompact" value="200"/>
+		</classifier>
+
+		<classifier name="AZCompactList">
+		  <option name="-metadata" value="AuthorityNo"/>
+		  <option name="-buttonname" value="Authority Number"/>
+		</classifier>
+
+		<classifier name="AZCompactList">
+		  <option name="-metadata" value="SiteNo"/>
+		  <option name="-buttonname" value="Site Number"/>
 		</classifier>
 		
@@ -326,5 +378,6 @@
 					    </gsf:link>
 					    -->
-					<gsf:metadata name="dc.Title" highlight="true"/>
+					<gsf:metadata name="Title" highlight="true"/>
+
 				      </i>
 				    </td>
@@ -425,4 +478,6 @@
 	<replaceListRef id="gs2-standard"/>
 	<replaceListRef id="gs2-image" />
+	<security default_access="public" scope="document" humanVerify="true" useRecaptcha="true"/>
+
 	<serviceRackList>
 		<!-- comment out the following serviceRack if you want to disable RSS for this collection -->	  