Index: /main/trunk/model-sites-dev/heritage-nz/collect/reports-2019/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/heritage-nz/collect/reports-2019/etc/collectionConfig.xml	(revision 33027)
+++ /main/trunk/model-sites-dev/heritage-nz/collect/reports-2019/etc/collectionConfig.xml	(revision 33028)
@@ -12,4 +12,6 @@
 
 		<displayItem assigned="true" lang="en" name="name">PDF Reports</displayItem>
+		<displayItem assigned="true" lang="en" name="description">_about:aboutthiscollection_</displayItem>
+<!--
 		<displayItem assigned="true" lang="en" name="description">
 		  &lt;h1&gt;(Unofficial) Archaeological Reports Digital Library&lt;/h1&gt;
@@ -39,4 +41,5 @@
 
 		</displayItem>
+-->
                 <!-- shortDescription is used as a tooltip for collection icon on home page-->
                 <displayItem assigned="true" lang="en" name="shortDescription">Archaeological Reports Digital Library</displayItem>
@@ -58,7 +61,9 @@
 			<displayItem lang="en" name="name">document</displayItem>
 		</level>
+<!--
 		<level name="section">
 			<displayItem lang="en" name="name">section</displayItem>
 		</level>
+-->
 		<defaultLevel name="document"/>
 		<index name="text">
@@ -109,5 +114,4 @@
 			<gsf:template match="documentNode">
 
-
 			  <gsf:switch>
 			    <gsf:metadata name="Plugin"/>
@@ -141,5 +145,5 @@
 				</td>
 				<td>
-					<gsf:link type="source">
+					<gsf:link type="document">
 						<xsl:call-template name="choose-title"/>
 					</gsf:link>
@@ -173,4 +177,14 @@
 			<plugin name="EmailPlugin"/>
 			<plugin name="PDFv2Plugin">
+<!--
+			  <option name="-convert_to" value="paged_pretty_html"/>
+-->
+<!--
+			  <option name="-convert_to" value="pagedimg_png"/>
+-->
+<!--
+			  <option name="-convert_to" value="paged_text"/>
+-->
+			  <option name="-convert_to" value="text"/>
 			  <option name="-enable_cache"/>
 			</plugin>
@@ -294,5 +308,5 @@
 				</td>
 				<td valign="top">
-					<gsf:link type="source">
+					<gsf:link type="document">
 						<!-- Defined in the global format statement -->
 						<xsl:call-template name="choose-title"/>
@@ -332,11 +346,19 @@
 				Overwriting this template allows you to change the heading of the document.
 			-->
-			<!-- 
 			<gsf:template name="documentHeading">
-				<span style="font-weight:bold; font-size: 120%;">
-					<xsl:call-template name="choose-title"/>
-				</span>
-			</gsf:template>
-			-->
+                          <gsf:switch>
+                            <gsf:metadata name="srcicon"/>
+                            <gsf:when test="exists">
+                              <gsf:link type="source">
+                                <gsf:metadata name="srcicon"/>
+                              </gsf:link>
+                            </gsf:when>
+                          </gsf:switch>
+			  
+                          <span style="font-weight:bold; font-size: 120%;">
+                            <xsl:call-template name="choose-title"/>
+                          </span>
+			</gsf:template>
+
 			
 			<!-- 
@@ -346,5 +368,5 @@
 			-->
 			
-			<gsf:template name="documentContent">
+			<gsf:template name="documentContentMetadataTable">
 			  <style>
 			    tr:nth-child(odd) {background: #dddddd}
@@ -353,7 +375,4 @@
 			    td { padding: 2px; }
 			  </style>
-			  <gsf:switch>
-			    <gsf:metadata name="Plugin"/>
-			    <gsf:when test="equals" test-value="CSVPlugin">
 			      <table>
 				<tbody>
@@ -378,5 +397,5 @@
 					    </gsf:link>
 					    -->
-					<gsf:metadata name="Title" highlight="true"/>
+					<gsf:metadata name="dc.Title" highlight="true"/>
 
 				      </i>
@@ -432,10 +451,28 @@
 				</tbody>
 			      </table>
+
+			</gsf:template>
+
+			<gsf:template name="documentContent">
+			  <gsf:switch>
+			    <gsf:metadata name="Plugin"/>
+			    <gsf:when test="equals" test-value="CSVPlugin">
+			      <xsl:call-template name="documentContentMetadataTable" />
 			    </gsf:when>
 			    <gsf:otherwise>
-				<xsl:call-template name="wrappedSectionImage"/>
-				<xsl:call-template name="wrappedSectionText"/>
+
+			      <gsf:switch>
+				<gsf:metadata name="Plugin"/>
+				<gsf:when test="equals" test-value="PDFv2Plugin">
+				  <xsl:call-template name="documentContentMetadataTable" />
+				</gsf:when>
+				<gsf:otherwise>
+				  <xsl:call-template name="wrappedSectionImage"/>
+				  <xsl:call-template name="wrappedSectionText"/>
+				</gsf:otherwise>
+			      </gsf:switch>
+
 			    </gsf:otherwise>
-			    </gsf:switch>
+			  </gsf:switch>
 			</gsf:template>
 <!--