Index: main/trunk/greenstone3/web/interfaces/default/js/berrybasket/berrybasket.js
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/js/berrybasket/berrybasket.js	(revision 33016)
+++ main/trunk/greenstone3/web/interfaces/default/js/berrybasket/berrybasket.js	(revision 33041)
@@ -20,5 +20,5 @@
 	
 	var request_type = "GET";
-	var url = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=ItemNum&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&c=";
+    var url = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=ItemNum&o=XML&hhf="+makeURLComponentSafe("[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]")+"&c=";
 
 	var responseSuccess = function(o){
@@ -291,5 +291,5 @@
 
 function addBerry(el){
-	var addurl = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=AddItem&c=&s1.id=2&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&s1.item=" + el.id;
+    var addurl = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=AddItem&c=&s1.id=2&o=XML&hhf="+makeURLComponentSafe("[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]")+"&poo=1&s1.item=" + el.id;
 
 	var addSuccess = function(o){
Index: main/trunk/greenstone3/web/interfaces/default/js/berrybasket/ygDDPlayer.js
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/js/berrybasket/ygDDPlayer.js	(revision 33016)
+++ main/trunk/greenstone3/web/interfaces/default/js/berrybasket/ygDDPlayer.js	(revision 33041)
@@ -124,6 +124,6 @@
 
 var request_type = "GET";
-var addurlPath = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=AddItem&c=&s1.id=2&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&s1.item=";
-var delurlPath = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=DeleteItem&c=&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&s1.item=";
+var addurlPath = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=AddItem&c=&s1.id=2&o=XML&hhf="+makeURLComponentSafe("[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]")+"&s1.item=";
+var delurlPath = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=DeleteItem&c=&o=XML&hhf="+makeURLComponentSafe("[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]")+"&s1.item=";
 var postdata = null;
 
Index: main/trunk/greenstone3/web/interfaces/default/js/documentbasket/documentBasketDragDrop.js
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/js/documentbasket/documentBasketDragDrop.js	(revision 33016)
+++ main/trunk/greenstone3/web/interfaces/default/js/documentbasket/documentBasketDragDrop.js	(revision 33041)
@@ -124,6 +124,6 @@
 
 var request_type = "GET";
-var docAddurlPath = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=AddDocument&c=&s1.id=2&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&s1.item=";
-var docDelurlPath = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=DeleteDocument&c=&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&s1.item=";
+var docAddurlPath = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=AddDocument&c=&s1.id=2&o=XML&hhf="+makeURLComponentSafe("[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]")+"&s1.item=";
+var docDelurlPath = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=DeleteDocument&c=&o=XML&hhf="+makeURLComponentSafe("[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]")+"&s1.item=";
 var postdata = null;
 
Index: main/trunk/greenstone3/web/interfaces/default/js/documentbasket/documentbasket.js
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/js/documentbasket/documentbasket.js	(revision 33016)
+++ main/trunk/greenstone3/web/interfaces/default/js/documentbasket/documentbasket.js	(revision 33041)
@@ -18,5 +18,5 @@
 	
 	var request_type = "GET";
-	var url = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=GetDocuments&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&c=";
+    var url = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=GetDocuments&o=XML&hhf="+makeURLComponentSafe("[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]")+"&c=";
 
 	var responseSuccess = function(o){
@@ -76,5 +76,5 @@
 function clearBasket()
 {
-	var delurlPath = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=ClearDocuments&c=&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&s1.c=" + gs.cgiParams.c;
+    var delurlPath = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=ClearDocuments&c=&o=XML&hhf="+makeURLComponentSafe("[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]")+"&s1.c=" + gs.cgiParams.c;
 	var callback =
 	{
@@ -278,5 +278,5 @@
 
 function addDocument(el){
-	var addurl = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=AddDocument&c=&s1.id=2&o=XML&hhf=[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]&s1.item=" + el.id;
+    var addurl = gs.xsltParams.library_name + "?a=pr&rt=r&ro=1&s=AddDocument&c=&s1.id=2&o=XML&hhf="+makeURLComponentSafe("[{\"name\":\"Cache-Control\", \"value\":\"no-cache\"}]")+"&s1.item=" + el.id;
 
 	var addSuccess = function(o){
Index: main/trunk/greenstone3/web/interfaces/default/js/documentmaker_scripts.js
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/js/documentmaker_scripts.js	(revision 33016)
+++ main/trunk/greenstone3/web/interfaces/default/js/documentmaker_scripts.js	(revision 33041)
@@ -71,5 +71,5 @@
 		}
 		callback.currentLink = docLinks[i];
-		YAHOO.util.Connect.asyncRequest("GET", docLinks[i].getAttribute("href").concat('&dmd=true&excerptid=gs-document-text&hhf=[{"name":"Cache-Control", "value":"no-cache"}]'), callback);
+	    YAHOO.util.Connect.asyncRequest("GET", docLinks[i].getAttribute("href").concat('&dmd=true&excerptid=gs-document-text&hhf='+makeURLComponentSafe('[{"name":"Cache-Control", "value":"no-cache"}]')), callback);
 	}
 